$!---------------make.com for lharc -------------------------------------------
$! make lharc under OpenVMS
$!
$! In case of problems with the build you might want to contact me at 
$! zinser@decus.decus.de(preferred) or eurmpz@eur.sas.com (Work)
$!
$ Make = ""
$!
$! Check for MMK/MMS
$!
$ If F$Search ("Sys$System:MMS.EXE") .nes. "" Then Make = "MMS"
$ If F$Type (MMK) .eqs. "STRING" Then Make = "MMK"
$!
$! Produce linker-options file according to compiler used
$!
$ open/write optf lharc.opt
$ write optf "lharc"
$ write optf "lzhuf"
$ write optf "lhio"
$ write optf "vmsio"
$ write optf "wild"
$ write optf "vms_utime"
$ if f$getsyi("HW_MODEL").ge.1024
$ then
$  cflags = "/prefix=all"
$ else
$  if f$search("SYS$SYSTEM:DECC$COMPILER.EXE").eqs.""
$   then
$    cflags = ""
$    write optf "sys$share:vaxcrtl.exe/share"
$   else
$    cflags = "/decc/prefix=all"
$  endif
$ endif
$ write optf "Identification = ""LHarcVMS1.02"""
$ close optf
$ cflags = ''cflags'+"/DEFINE=(NOBSTRING,__ANSI__)"
$!
$! Build the thing plain or with 'Make'
$!
$ write sys$output "Compiling LHarc sources ..."
$  if (Make .nes. "")
$   then
$    'Make'/macro=(CFLAGS="''CFLAGS'")
$  else
$   CALL MAKE lharc.OBJ "CC''CFLAGS'  lharc" -
              lharc.c  
$   CALL MAKE lzhuf.OBJ "CC''CFLAGS'  lzhuf" -
              lzhuf.c lhio.h 
$   CALL MAKE lhio.OBJ "CC''CFLAGS'  lhio" -
              lhio.c lhio.h 
$   CALL MAKE vmsio.OBJ "CC''CFLAGS'  vmsio" -
              vmsio.c  
$   CALL MAKE wild.OBJ "CC''CFLAGS'  wild" -
              wild.c  
$   CALL MAKE vms_utime.OBJ "CC''CFLAGS'  vms_utime" -
              vms_utime.c  
$   write sys$output "Linking LHarc ..."
$   CALL MAKE lharc.EXE "LINK  lharc.opt/OPT" *.OBJ
$  endif
$ write sys$output "LHarc build completed"
$ exit
$!
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$       Argument = P'arg
$       If Argument .Eqs. "" Then Goto Exit
$       El=0
$Loop2:
$       File = F$Element(El," ",Argument)
$       If File .Eqs. " " Then Goto Endl
$       AFile = ""
$Loop3:
$       OFile = AFile
$       AFile = F$Search(File)
$       If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$       If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$       Goto Loop3
$NextEL:
$       El = El + 1
$       Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ VV=F$VERIFY(0)
$ write sys$output P2
$ 'P2
$ VV='F$Verify(VV)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE

